function [Outconfig]=FreqMapLogPlot(InCellArray, Inconfig)
%FreqMapLogPlot plots a frequency map using ImageSC in the log space
%
%Inputs: Frequency Map
%Outputs: None
%
%Author: Ping Zhou
%Email:
%
% Version history:
% 9/9/10 - Version 1
% 11/30/2011 - Version 2

OutCellArray{1}=InCellArray{1};
OutCellArray{1}.type='freqmap';

figure;
x_max_freq=str2double(InCellArray{1}.header{strcmpi(InCellArray{1}.header, 'X Max Frequency'),2});
y_max_freq=str2double(InCellArray{1}.header{strcmpi(InCellArray{1}.header, 'Y Max Frequency'),2});
x_unit=InCellArray{1}.header{strcmpi(InCellArray{1}.header, 'X Unit'),2};
y_unit=InCellArray{1}.header{strcmpi(InCellArray{1}.header, 'Y Unit'),2};
z_unit=InCellArray{1}.header{strcmpi(InCellArray{1}.header, 'Z Unit'),2};
% pts=str2double(InCellArray{1}.header{strcmpi(InCellArray{1}.header, 'Data Points'),2});
x_size = size(InCellArray{1}.data, 2);
y_size = size(InCellArray{1}.data, 1);

xi = linspace(-x_max_freq, x_max_freq, x_size);
yi = linspace(-y_max_freq, y_max_freq, y_size);

imagesc(xi, yi, log(abs(InCellArray{1}.data)));
xlabel(x_unit); ylabel(y_unit);
axis square;
cbarHandle = colorbar;
ylabel(cbarHandle,['log(',z_unit,')']);

Outconfig=Inconfig;

end